##### posix::basic_descriptor::operator= (2 of 2 overloads)

Move-assign a `posix::basic_descriptor` from a descriptor of another executor type.

    template<
        typename Executor1>
    constraint_t< is_convertible< Executor1, Executor >::value, basic_descriptor & > operator=(
        basic_descriptor< Executor1 > && other);

This assignment operator moves a descriptor from one object to another.

###### Parameters

other

  The other `posix::basic_descriptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_descriptor(const executor_type&)` constructor.